import { NativeEventEmitter, type NativeModule } from 'react-native';
export declare enum NetworkListenerType {
    filtering = "filtering",
    obfuscation = "obfuscation",
    both = "both"
}
export interface NetworkLoggerNativeModule extends NativeModule {
    isNativeInterceptionEnabled(): Promise<boolean>;
    registerNetworkLogsListener(type?: NetworkListenerType): void;
    updateNetworkLogSnapshot(url: string, callbackID: string, requestBody: string | null, responseBody: string | null, responseCode: number, requestHeaders: Record<string, string>, responseHeaders: Record<string, string>): void;
    hasAPMNetworkPlugin(): Promise<boolean>;
    resetNetworkLogsListener(): void;
    setNetworkLoggingRequestFilterPredicateIOS(id: string, value: boolean): void;
    forceStartNetworkLoggingIOS(): void;
    forceStopNetworkLoggingIOS(): void;
}
export declare const NativeNetworkLogger: NetworkLoggerNativeModule;
export declare enum NativeNetworkLoggerEvent {
    NETWORK_LOGGER_HANDLER = "IBGNetworkLoggerHandler"
}
export declare const NetworkLoggerEmitter: NativeEventEmitter;
