export type ProgressCallback = (totalBytesSent: number, totalBytesExpectedToSend: number) => void;
export type NetworkDataCallback = (data: NetworkData) => void;
export interface NetworkData {
    readonly id: string;
    url: string;
    method: string;
    requestBody: string;
    requestBodySize: number;
    responseBody: string | null;
    responseBodySize: number;
    responseCode: number;
    requestHeaders: Record<string, string>;
    responseHeaders: Record<string, string>;
    contentType: string;
    errorDomain: string;
    errorCode: number;
    startTime: number;
    duration: number;
    gqlQueryName?: string;
    serverErrorMessage: string;
    requestContentType: string;
    isW3cHeaderFound: boolean | null;
    partialId: number | null;
    networkStartTimeInSeconds: number | null;
    w3cGeneratedHeader: string | null;
    w3cCaughtHeader: string | null;
}
export declare const injectHeaders: (networkData: NetworkData, featureFlags: {
    isW3cExternalTraceIDEnabled: boolean;
    isW3cExternalGeneratedHeaderEnabled: boolean;
    isW3cCaughtHeaderEnabled: boolean;
}) => string | undefined;
declare const _default: {
    setOnDoneCallback(callback: NetworkDataCallback): void;
    setOnProgressCallback(callback: ProgressCallback): void;
    enableInterception(): void;
    disableInterception(): void;
};
export default _default;
